Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7793 - identd doesn't die after use.
Summary: identd doesn't die after use.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pidentd
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-13 19:44 UTC by mwalton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-06 16:04:46 UTC


Attachments (Terms of Use)

Description mwalton 1999-12-13 19:44:45 UTC
I am no linux guru but i have the feeling that identd should
DIE after it gets used.

What happens is that I start irc and inet fires up identd
which results in in.identd and 10 other (root-owned) thread-processes.
Unfortunately these processes remain alive for ever.

I could be wrong but I think they should only last
for a few seconds after they start.

Comment 1 Nalin Dahyabhai 2000-01-06 16:04:59 UTC
identd is multi-threaded, and like all multi-threaded programs, appears to
be multiple processes under Linux.  It also becomes a daemon and listens for
new incoming requests, which is why it never dies.


Note You need to log in before you can comment on or make changes to this bug.